# Canvasflow Export

 This plugin integrates Canvasflow into WordPress allowing Canvasflow to post articles directly to WordPress.

#### Features

* One click publishing from your Canvasflow publication to WordPress.
* Automatic Canvasflow to WordPress format conversion.
* Publish clean, semantic HTML5 mark-up.
* WordPress Shortcode support.
* Support for all HTML5 tags.
* Full control over how text components are converted.

#### Prerequisite Knowledge

Basic experience of WordPress and Canvasflow is required. This plugin assumes you have access to an active, API enabled Canvasflow account.

#### Requirements
* WordPress 4.2 +
* PHP 5.6 or higher (7.x recommended)
* MySQL 5.0 or higher 
* InnoDB DB storage engine
* Apache or nginx recommended

#### Installation

This section describes how to install and configure the plugin.

##### Install

1. Upload the plugin files to the `/wp-content/plugins/Canvasflow Export directory, or install the plugin through the WordPress plugins screen directly.
2. Activate the plugin through the 'Plugins' screen in WordPress

##### Config

1. Access the plugin settings.  This can be found in Settings --> Canvasflow Export
2. The plugin will generate the details required to connect Canvasflow to your WordPress install
3. From your Canvasflow account, navigate to the Publication Manager
4. Select the appropriate Publication and access the settings
5. Select 'Publish Channels', and create a new channel (using the '+' button)
6. Select 'WordPress' from the list

7. Enter a Channel name for the connector.  Typically this is the name of your WordPress blog but can be named anything
8. Select 'CF Plugin' for the connection type
9. Enter the API Key generated by the Canvasflow Export Plugin 
10. Enter the API Path generated by the Canvasflow Export Plugin
11. Click 'Add Channel'
12. Switch to the article manager and ensure the WordPress channel is selected.  Click the publish button on any article to publish to your WordPress blog

#### Frequently Asked Questions

###### Does this plugin work with WordPress MU (multi-user)?
We haven't tested or explicitly built the plugin to work with WordPress MU. That's not to say it won't work, only that our initial release did not target a multi-user environment.

###### Where can I learn more about this plugin?
Please check out the plugin <a href="https://docs.canvasflow.io/article/171-publishing-from-canvasflow-to-wordpress">support documentation</a> or contact <a href="mailto:support@canvasflow.io">support@canvasflow.io</a> for more information.


#### Changelog
##### 1.2.1
* Support for Wordpress `v5.4.1`

##### 1.2.0
* Added support for category meta data.
* Added support for articles with a specific publish status
* Improved support for multi-site installations 
* Added support for feature image when creating / updating an article

##### 1.1.0
* Replace update article method from PUT to POST

##### 1.0.0
* Initial release.

#### Upgrade Notice

##### 1.2.1
* Support for Wordpress `v5.4.1`

##### 1.2.0
* Added support for category meta data.
* Added support for articles with a specific publish status
* Improved support for multi-site installations 
* Added support for feature image when creating / updating an article

##### 1.1.0
* Replace update article method from PUT to POST

##### 1.0.0
* Initial release.